package com.dayou.service;
import com.dayou.entity.BrokerageBaseAmount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BaseAmountVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 自定义提成基数 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
public interface IBrokerageBaseAmountService extends IService<BrokerageBaseAmount> {

        Page<BaseAmountVO> selectPage(Page page, BaseAmountVO baseAmountVO);

        BrokerageBaseAmount detail(Long id);

        Boolean add(BrokerageBaseAmount brokerageBaseAmount);

        Boolean update(BrokerageBaseAmount brokerageBaseAmount);

        Boolean delete(Long id);

        void cacheBaseAmount();
}
